
/*
 * xanim_jmov.h
 *
 * Copyright (C) 1995 by Mark Podlipec. 
 * All rights reserved.
 *
 * This software may be freely copied, modified and redistributed without
 * fee for non-commerical purposes provided that this copyright notice is
 * preserved intact on all copies and modified copies.
 * 
 * There is no warranty or other guarantee of fitness of this software.
 * It is provided solely "as is". The author(s) disclaim(s) all
 * responsibility and liability with respect to this software's usage
 * or its effect upon hardware or computer systems.
 *
 */

#include "xanim.h"

typedef struct JMOV_FRAME_STRUCT
{
  ULONG time;
  ULONG timelo;
  XA_ACTION *act;
  struct JMOV_FRAME_STRUCT *next;
} JMOV_FRAME;
 
 
typedef struct
{
  ULONG version;
  ULONG fps;            /* frames per second */
  ULONG frames;         /* total video frames */
  ULONG width;
  ULONG height;
  ULONG bandwidth;      /* 1kbytes/sec need to playback */
  ULONG qfactor;        /* quantization scaling factor */
  ULONG mapsize;        /* colors in colormap */
  ULONG indexbuf;       /* offset in file of frame indexes */
  ULONG tracks;         /* num of audio tracks */
  ULONG volbase;        /* base volume */
  ULONG audioslice;     /* audio bytes per frame */
/*Audio_hdr */          /* Audio_hdr?!?  for what machine?? */
  ULONG freq;
  ULONG chans;
  ULONG prec;
  ULONG codec;
/*filler(48) */
} JMOV_HDR;
 
#define JMOV_AUDIO_ENC_NONE (0)   /* no encoding assigned */
#define JMOV_AUDIO_ENC_ULAW (1)   /* u-law encoding */
#define JMOV_AUDIO_ENC_ALAW (2)   /* A-law encoding */
#define JMOV_AUDIO_ENC_PCM  (3)   /* Linear PCM encoding */


